| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Types | Public Member Functions | List of all members
Ogre::CompositionTargetPass Class Reference
Core » Effects

Object representing one render to a RenderTarget or Viewport in the Ogre Composition framework. More...

`#include <OgreCompositionTargetPass.h>`

Inheritance diagram for Ogre::CompositionTargetPass:
[legend]

## Public Types
enum | InputMode { IM_NONE, IM_PREVIOUS }
| Input mode of a TargetPass. More...
typedef std::vector< CompositionPass * > | Passes
typedef VectorIterator< Passes > | PassIterator

## Public Member Functions
| CompositionTargetPass (CompositionTechnique *parent)
| ~CompositionTargetPass ()
bool | _isSupported (void)
| Determine if this target pass is supported on the current rendering device. More...
CompositionPass * | createPass ()
| Create a new pass, and return a pointer to it. More...
InputMode | getInputMode () const
| Get input mode. More...
float | getLodBias ()
| Get the scene LOD bias used by this pass. More...
const String & | getMaterialScheme (void) const
| Get the material scheme used by this target pass. More...
size_t | getNumPasses ()
| Get the number of passes. More...
bool | getOnlyInitial ()
| Get "only initial" flag. More...
const String & | getOutputName () const
| Get output local texture name. More...
CompositionTechnique * | getParent ()
| Get parent object. More...
CompositionPass * | getPass (size_t idx)
| Get a pass. More...
const Passes & | getPasses () const
| Get the Passes in this TargetPass. More...
PassIterator | getPassIterator (void)
| Get an iterator over the Passes in this TargetPass. More...
bool | getShadowsEnabled (void) const
| Get whether shadows are enabled in this target pass. More...
uint32 | getVisibilityMask ()
| Get the scene visibility mask used by this pass. More...
void | removeAllPasses ()
| Remove all passes. More...
void | removePass (size_t idx)
| Remove a pass. More...
void | setInputMode (InputMode mode)
| Set input mode of this TargetPass. More...
void | setLodBias (float bias)
| Set the scene LOD bias used by this pass. More...
void | setMaterialScheme (const String &schemeName)
| Set the material scheme used by this target pass. More...
void | setOnlyInitial (bool value)
| Set "only initial" flag. More...
void | setOutputName (const String &out)
| Set output local texture name. More...
void | setShadowsEnabled (bool enabled)
| Set whether shadows are enabled in this target pass. More...
void | setVisibilityMask (uint32 mask)
| Set the scene visibility mask used by this pass. More...

## Detailed Description

Object representing one render to a RenderTarget or Viewport in the Ogre Composition framework.

## Member Typedef Documentation

## ◆ Passes

typedef std::vector<CompositionPass *> Ogre::CompositionTargetPass::Passes

## ◆ PassIterator

typedef VectorIterator<Passes> Ogre::CompositionTargetPass::PassIterator

## Member Enumeration Documentation

## ◆ InputMode

enum Ogre::CompositionTargetPass::InputMode

Input mode of a TargetPass.

Enumerator
IM_NONE |
IM_PREVIOUS | No input. Output of previous Composition in chain

## Constructor & Destructor Documentation

## ◆ CompositionTargetPass()

Ogre::CompositionTargetPass::CompositionTargetPass | ( | CompositionTechnique * | parent | ) |

## ◆ ~CompositionTargetPass()

Ogre::CompositionTargetPass::~CompositionTargetPass | ( |  | ) |

## Member Function Documentation

## ◆ setInputMode()

void Ogre::CompositionTargetPass::setInputMode | ( | InputMode | mode | ) |

Set input mode of this TargetPass.

## ◆ getInputMode()

InputMode Ogre::CompositionTargetPass::getInputMode | ( |  | ) | const

Get input mode.

## ◆ setOutputName()

void Ogre::CompositionTargetPass::setOutputName | ( | const String & | out | ) |

Set output local texture name.

## ◆ getOutputName()

const String& Ogre::CompositionTargetPass::getOutputName | ( |  | ) | const

Get output local texture name.

## ◆ setOnlyInitial()

void Ogre::CompositionTargetPass::setOnlyInitial | ( | bool | value | ) |

Set "only initial" flag.

This makes that this target pass is only executed initially after the effect has been enabled.

## ◆ getOnlyInitial()

bool Ogre::CompositionTargetPass::getOnlyInitial | ( |  | ) |

Get "only initial" flag.

## ◆ setVisibilityMask()

void Ogre::CompositionTargetPass::setVisibilityMask | ( | uint32 | mask | ) |

Set the scene visibility mask used by this pass.

## ◆ getVisibilityMask()

uint32 Ogre::CompositionTargetPass::getVisibilityMask | ( |  | ) |

Get the scene visibility mask used by this pass.

## ◆ setMaterialScheme()

void Ogre::CompositionTargetPass::setMaterialScheme | ( | const String & | schemeName | ) |

Set the material scheme used by this target pass.

Remarks
  Only applicable to targets that render the scene as one of their passes.

See also
  Technique::setScheme.

## ◆ getMaterialScheme()

const String& Ogre::CompositionTargetPass::getMaterialScheme | ( | void |  | ) | const

Get the material scheme used by this target pass.

Remarks
  Only applicable to targets that render the scene as one of their passes.

See also
  Technique::setScheme.

## ◆ setShadowsEnabled()

void Ogre::CompositionTargetPass::setShadowsEnabled | ( | bool | enabled | ) |

Set whether shadows are enabled in this target pass.

Remarks
  Only applicable to targets that render the scene as one of their passes.

## ◆ getShadowsEnabled()

bool Ogre::CompositionTargetPass::getShadowsEnabled | ( | void |  | ) | const

Get whether shadows are enabled in this target pass.

Remarks
  Only applicable to targets that render the scene as one of their passes.

## ◆ setLodBias()

void Ogre::CompositionTargetPass::setLodBias | ( | float | bias | ) |

Set the scene LOD bias used by this pass.

The default is 1.0, everything below that means lower quality, higher means higher quality.

## ◆ getLodBias()

float Ogre::CompositionTargetPass::getLodBias | ( |  | ) |

Get the scene LOD bias used by this pass.

## ◆ createPass()

CompositionPass* Ogre::CompositionTargetPass::createPass | ( |  | ) |

Create a new pass, and return a pointer to it.

## ◆ removePass()

void Ogre::CompositionTargetPass::removePass | ( | size_t | idx | ) |

Remove a pass.

It will also be destroyed.

## ◆ getPass()

CompositionPass* Ogre::CompositionTargetPass::getPass | ( | size_t | idx | ) |

Get a pass.

Deprecated:
  use getPasses()

## ◆ getNumPasses()

size_t Ogre::CompositionTargetPass::getNumPasses | ( |  | ) |

Get the number of passes.

Deprecated:
  use getPasses()

## ◆ getPasses()

const Passes& Ogre::CompositionTargetPass::getPasses | ( |  | ) | const
| inline

Get the Passes in this TargetPass.

## ◆ removeAllPasses()

void Ogre::CompositionTargetPass::removeAllPasses | ( |  | ) |

Remove all passes.

## ◆ getPassIterator()

PassIterator Ogre::CompositionTargetPass::getPassIterator | ( | void |  | ) |

Get an iterator over the Passes in this TargetPass.

Deprecated:
  use getPasses()

## ◆ getParent()

CompositionTechnique* Ogre::CompositionTargetPass::getParent | ( |  | ) |

Get parent object.

## ◆ _isSupported()

bool Ogre::CompositionTargetPass::_isSupported | ( | void |  | ) |

Determine if this target pass is supported on the current rendering device.

The documentation for this class was generated from the following file:

- OgreCompositionTargetPass.h